import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataTfeOrganizationsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/organizations#admin DataTfeOrganizations#admin}
    */
    readonly admin?: boolean | cdktf.IResolvable;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/tfe/d/organizations tfe_organizations}
*/
export declare class DataTfeOrganizations extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "tfe_organizations";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/organizations tfe_organizations} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataTfeOrganizationsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataTfeOrganizationsConfig);
    private _admin?;
    get admin(): boolean | cdktf.IResolvable;
    set admin(value: boolean | cdktf.IResolvable);
    resetAdmin(): void;
    get adminInput(): boolean | cdktf.IResolvable | undefined;
    get id(): string;
    ids(key: string): string | cdktf.IResolvable;
    get names(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
