import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataTfeSlugConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/slug#source_path DataTfeSlug#source_path}
    */
    readonly sourcePath: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/tfe/d/slug tfe_slug}
*/
export declare class DataTfeSlug extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "tfe_slug";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/slug tfe_slug} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataTfeSlugConfig
    */
    constructor(scope: Construct, id: string, config: DataTfeSlugConfig);
    get id(): string;
    private _sourcePath?;
    get sourcePath(): string;
    set sourcePath(value: string);
    get sourcePathInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
